# Loguix

> Loguix est un petit package qui permet de générer des logs formatés : **[YYYY-MM-DD-hh-mm-ss]**


## Utilisation

> - Dès que vous instanciez le package, configurez une seul fois le dossier de destination des logs

```js
const log = require("loguix")
log.setup("./logs")
```


### Fonctions principales

```js
const MyLogSection = new LogType("Mon nom de section")

// Affiche une information
MyLogSection.log('.....')

// Affiche un avertissement
MyLogSection.warn('.....')

// Affiche une erreur
MyLogSection.error('.....')

```

### Etapes (Steps)

```js
const MyLogSection = new LogType("Mon nom de section")

// Affiche une information
MyLogSection.step.init('identifiant', ".....")

// Affiche un avertissement
MyLogSection.step.end('identifiant')

// Affiche une erreur
MyLogSection.step.error('identifiant', "Descritpion de l'erreur")

```